#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'filteredit_base.ui'
**
** Created: 2013-08-05T17:20:30
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "filteredit_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlistbox.h>
#include <qbuttongroup.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <knuminput.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a FilterEdit_base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
FilterEdit_base::FilterEdit_base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "FilterEdit_base" );
    FilterEdit_baseLayout = new QGridLayout( this, 1, 1, 11, 6, "FilterEdit_baseLayout"); 

    mRulesList = new QListBox( this, "mRulesList" );

    FilterEdit_baseLayout->addMultiCellWidget( mRulesList, 0, 0, 0, 1 );

    mNewButton = new QPushButton( this, "mNewButton" );

    FilterEdit_baseLayout->addWidget( mNewButton, 1, 0 );

    mDeleteButton = new QPushButton( this, "mDeleteButton" );

    FilterEdit_baseLayout->addWidget( mDeleteButton, 1, 1 );

    mDetailsFrame = new QButtonGroup( this, "mDetailsFrame" );
    mDetailsFrame->setColumnLayout(0, Qt::Vertical );
    mDetailsFrame->layout()->setSpacing( 6 );
    mDetailsFrame->layout()->setMargin( 11 );
    mDetailsFrameLayout = new QGridLayout( mDetailsFrame->layout() );
    mDetailsFrameLayout->setAlignment( Qt::AlignTop );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    textLabel1 = new QLabel( mDetailsFrame, "textLabel1" );
    layout3->addWidget( textLabel1 );

    mNameLineEdit = new QLineEdit( mDetailsFrame, "mNameLineEdit" );
    layout3->addWidget( mNameLineEdit );

    mDetailsFrameLayout->addLayout( layout3, 0, 0 );

    mRecurringCheck = new QCheckBox( mDetailsFrame, "mRecurringCheck" );

    mDetailsFrameLayout->addWidget( mRecurringCheck, 1, 0 );

    mCompletedCheck = new QCheckBox( mDetailsFrame, "mCompletedCheck" );

    mDetailsFrameLayout->addWidget( mCompletedCheck, 2, 0 );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 
    spacer2 = new QSpacerItem( 15, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout1->addItem( spacer2 );

    mCompletedTimeSpanLabel = new QLabel( mDetailsFrame, "mCompletedTimeSpanLabel" );
    mCompletedTimeSpanLabel->setEnabled( FALSE );
    layout1->addWidget( mCompletedTimeSpanLabel );

    mCompletedTimeSpan = new KIntNumInput( mDetailsFrame, "mCompletedTimeSpan" );
    mCompletedTimeSpan->setEnabled( FALSE );
    mCompletedTimeSpan->setMinValue( 0 );
    mCompletedTimeSpan->setMaxValue( 999 );
    layout1->addWidget( mCompletedTimeSpan );
    spacer3 = new QSpacerItem( 16, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout1->addItem( spacer3 );

    mDetailsFrameLayout->addLayout( layout1, 3, 0 );

    mHideInactiveTodosCheck = new QCheckBox( mDetailsFrame, "mHideInactiveTodosCheck" );

    mDetailsFrameLayout->addWidget( mHideInactiveTodosCheck, 4, 0 );

    mCategoriesButtonGroup = new QButtonGroup( mDetailsFrame, "mCategoriesButtonGroup" );
    mCategoriesButtonGroup->setColumnLayout(0, Qt::Vertical );
    mCategoriesButtonGroup->layout()->setSpacing( 6 );
    mCategoriesButtonGroup->layout()->setMargin( 11 );
    mCategoriesButtonGroupLayout = new QGridLayout( mCategoriesButtonGroup->layout() );
    mCategoriesButtonGroupLayout->setAlignment( Qt::AlignTop );

    mCatList = new QListBox( mCategoriesButtonGroup, "mCatList" );
    mCatList->setSelectionMode( QListBox::NoSelection );

    mCategoriesButtonGroupLayout->addMultiCellWidget( mCatList, 2, 3, 0, 0 );
    spacer4 = new QSpacerItem( 20, 110, QSizePolicy::Minimum, QSizePolicy::Expanding );
    mCategoriesButtonGroupLayout->addItem( spacer4, 3, 1 );

    mCatHideCheck = new QRadioButton( mCategoriesButtonGroup, "mCatHideCheck" );
    mCategoriesButtonGroup->insert( mCatHideCheck, 1 );

    mCategoriesButtonGroupLayout->addMultiCellWidget( mCatHideCheck, 1, 1, 0, 1 );

    mCatShowCheck = new QRadioButton( mCategoriesButtonGroup, "mCatShowCheck" );
    mCategoriesButtonGroup->insert( mCatShowCheck, 0 );

    mCategoriesButtonGroupLayout->addMultiCellWidget( mCatShowCheck, 0, 0, 0, 1 );

    mCatEditButton = new QPushButton( mCategoriesButtonGroup, "mCatEditButton" );

    mCategoriesButtonGroupLayout->addWidget( mCatEditButton, 2, 1 );

    mDetailsFrameLayout->addWidget( mCategoriesButtonGroup, 6, 0 );

    mHideTodosNotAssignedToMeCheck = new QCheckBox( mDetailsFrame, "mHideTodosNotAssignedToMeCheck" );

    mDetailsFrameLayout->addWidget( mHideTodosNotAssignedToMeCheck, 5, 0 );

    FilterEdit_baseLayout->addMultiCellWidget( mDetailsFrame, 0, 1, 2, 2 );
    languageChange();
    resize( QSize(504, 436).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( mCompletedCheck, SIGNAL( toggled(bool) ), mCompletedTimeSpanLabel, SLOT( setEnabled(bool) ) );
    connect( mCompletedCheck, SIGNAL( toggled(bool) ), mCompletedTimeSpan, SLOT( setEnabled(bool) ) );

    // buddies
    mCompletedTimeSpanLabel->setBuddy( mCompletedTimeSpan );
}

/*
 *  Destroys the object and frees any allocated resources
 */
FilterEdit_base::~FilterEdit_base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FilterEdit_base::languageChange()
{
    mNewButton->setText( tr2i18n( "&New" ) );
    mDeleteButton->setText( tr2i18n( "&Delete" ) );
    mDetailsFrame->setTitle( tr2i18n( "Filter Details" ) );
    textLabel1->setText( tr2i18n( "Name:" ) );
    mRecurringCheck->setText( tr2i18n( "Hide &recurring events and to-dos" ) );
    QWhatsThis::add( mRecurringCheck, tr2i18n( "Select this option if you do not want to show recurring events and to-dos in your views. Daily and weekly recurring items may take a lot of space, so it might be handy to hide them." ) );
    mCompletedCheck->setText( tr2i18n( "Hide co&mpleted to-dos" ) );
    QWhatsThis::add( mCompletedCheck, tr2i18n( "If this box is checked, the filter will hide all to-do items from the list, that have been completed. Optionally, only items that have been completed a given number of days are hidden." ) );
    mCompletedTimeSpanLabel->setText( tr2i18n( "Days after completion:" ) );
    QWhatsThis::add( mCompletedTimeSpanLabel, tr2i18n( "This option will allow you to select which completed to-dos should be hidden. When you choose <i>Immediately</i>, it will hide the to-do as soon as you check it. You can increase or decrease the number of days in the spinbox." ) );
    mCompletedTimeSpan->setSpecialValueText( tr2i18n( "Immediately" ) );
    QWhatsThis::add( mCompletedTimeSpan, tr2i18n( "Here you can give the number of days a to-do item has to be completed to be hidden from the to-do list. If you select \"Immediately\", all completed to-dos will be hidden. If you, for example, choose a value of 1, all to-do items will be hidden, that have been marked finished longer than 24 hours ago." ) );
    mHideInactiveTodosCheck->setText( tr2i18n( "Hide &inactive to-dos" ) );
    QWhatsThis::add( mHideInactiveTodosCheck, tr2i18n( "This option hides all to-dos from your list, where the start date has not been reached. (Note that the start date is not the due date of the to-do item.)" ) );
    mCategoriesButtonGroup->setTitle( tr2i18n( "Categories" ) );
    mCatHideCheck->setText( tr2i18n( "Show all except selected" ) );
    mCatHideCheck->setAccel( QKeySequence( QString::null ) );
    QWhatsThis::add( mCatHideCheck, tr2i18n( "When this option is enabled, this filter will show all items which do <i>not</i> contain the selected categories." ) );
    mCatShowCheck->setText( tr2i18n( "Show only selected" ) );
    mCatShowCheck->setAccel( QKeySequence( QString::null ) );
    QWhatsThis::add( mCatShowCheck, tr2i18n( "When this option is enabled, this filter will show all items containing at least the selected items." ) );
    mCatEditButton->setText( tr2i18n( "Change..." ) );
    mCatEditButton->setAccel( QKeySequence( QString::null ) );
    mHideTodosNotAssignedToMeCheck->setText( tr2i18n( "Hide to-dos not assigned to me" ) );
    mHideTodosNotAssignedToMeCheck->setAccel( QKeySequence( QString::null ) );
    QWhatsThis::add( mHideTodosNotAssignedToMeCheck, tr2i18n( "This option hides all to-dos from your list which are assigned to someone else.<br>\n"
"Only to-dos which have least one attendee will be checked.  If you are not in the list of attendees the to-do will be hidden." ) );
}

void FilterEdit_base::updateFilter()
{
    qWarning( "FilterEdit_base::updateFilter(): Not implemented yet" );
}

/****************************************************************************
** FilterEdit_base meta object code from reading C++ file 'filteredit_base.h'
**
** Created: Mon Aug 5 17:20:30 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "filteredit_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *FilterEdit_base::className() const
{
    return "FilterEdit_base";
}

QMetaObject *FilterEdit_base::metaObj = 0;
static QMetaObjectCleanUp cleanUp_FilterEdit_base( "FilterEdit_base", &FilterEdit_base::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString FilterEdit_base::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "FilterEdit_base", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString FilterEdit_base::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "FilterEdit_base", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* FilterEdit_base::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"updateFilter", 0, 0 };
    static const QUMethod slot_1 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "updateFilter()", &slot_0, QMetaData::Public },
	{ "languageChange()", &slot_1, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"FilterEdit_base", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_FilterEdit_base.setMetaObject( metaObj );
    return metaObj;
}

void* FilterEdit_base::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "FilterEdit_base" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool FilterEdit_base::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: updateFilter(); break;
    case 1: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool FilterEdit_base::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool FilterEdit_base::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool FilterEdit_base::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
