#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'calprintjournalconfig_base.ui'
**
** Created: 2013-08-05T17:23:02
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "calprintjournalconfig_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "libkdepim/kdateedit.h"

/*
 *  Constructs a CalPrintJournalConfig_Base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CalPrintJournalConfig_Base::CalPrintJournalConfig_Base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "CalPrintJournal_Base" );
    CalPrintJournal_BaseLayout = new QVBoxLayout( this, 0, 6, "CalPrintJournal_BaseLayout"); 

    mDateRangeGroup = new QButtonGroup( this, "mDateRangeGroup" );
    mDateRangeGroup->setProperty( "selectedId", 1 );
    mDateRangeGroup->setColumnLayout(0, Qt::Vertical );
    mDateRangeGroup->layout()->setSpacing( 6 );
    mDateRangeGroup->layout()->setMargin( 11 );
    mDateRangeGroupLayout = new QVBoxLayout( mDateRangeGroup->layout() );
    mDateRangeGroupLayout->setAlignment( Qt::AlignTop );

    mAllJournals = new QRadioButton( mDateRangeGroup, "mAllJournals" );
    mDateRangeGroup->insert( mAllJournals, 0 );
    mDateRangeGroupLayout->addWidget( mAllJournals );

    mRangeJournals = new QRadioButton( mDateRangeGroup, "mRangeJournals" );
    mRangeJournals->setFocusPolicy( QRadioButton::TabFocus );
    mDateRangeGroup->insert( mRangeJournals, 1 );
    mDateRangeGroupLayout->addWidget( mRangeJournals );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 
    spacer6 = new QSpacerItem( 15, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout2->addItem( spacer6 );

    mFromDateLabel = new QLabel( mDateRangeGroup, "mFromDateLabel" );
    layout2->addWidget( mFromDateLabel );

    mFromDate = new KDateEdit( mDateRangeGroup, "mFromDate" );
    mFromDate->setFocusPolicy( KDateEdit::StrongFocus );
    layout2->addWidget( mFromDate );

    mToDateLabel = new QLabel( mDateRangeGroup, "mToDateLabel" );
    layout2->addWidget( mToDateLabel );

    mToDate = new KDateEdit( mDateRangeGroup, "mToDate" );
    mToDate->setFocusPolicy( KDateEdit::StrongFocus );
    layout2->addWidget( mToDate );
    spacer1 = new QSpacerItem( 324, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer1 );
    mDateRangeGroupLayout->addLayout( layout2 );
    CalPrintJournal_BaseLayout->addWidget( mDateRangeGroup );
    spacer3 = new QSpacerItem( 21, 201, QSizePolicy::Minimum, QSizePolicy::Expanding );
    CalPrintJournal_BaseLayout->addItem( spacer3 );
    languageChange();
    resize( QSize(337, 247).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( mFromDate, mToDate );

    // buddies
    mFromDateLabel->setBuddy( mFromDate );
    mToDateLabel->setBuddy( mToDate );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CalPrintJournalConfig_Base::~CalPrintJournalConfig_Base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CalPrintJournalConfig_Base::languageChange()
{
    setCaption( tr2i18n( "CalPrintJournal_Base" ) );
    mDateRangeGroup->setTitle( tr2i18n( "Date && Time Range" ) );
    mAllJournals->setText( tr2i18n( "&All journal entries" ) );
    mRangeJournals->setText( tr2i18n( "Date &range:" ) );
    mFromDateLabel->setText( tr2i18n( "&Start date:" ) );
    mToDateLabel->setText( tr2i18n( "&End date:" ) );
}

/****************************************************************************
** CalPrintJournalConfig_Base meta object code from reading C++ file 'calprintjournalconfig_base.h'
**
** Created: Mon Aug 5 17:23:02 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "calprintjournalconfig_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *CalPrintJournalConfig_Base::className() const
{
    return "CalPrintJournalConfig_Base";
}

QMetaObject *CalPrintJournalConfig_Base::metaObj = 0;
static QMetaObjectCleanUp cleanUp_CalPrintJournalConfig_Base( "CalPrintJournalConfig_Base", &CalPrintJournalConfig_Base::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString CalPrintJournalConfig_Base::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CalPrintJournalConfig_Base", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString CalPrintJournalConfig_Base::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CalPrintJournalConfig_Base", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* CalPrintJournalConfig_Base::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"CalPrintJournalConfig_Base", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_CalPrintJournalConfig_Base.setMetaObject( metaObj );
    return metaObj;
}

void* CalPrintJournalConfig_Base::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CalPrintJournalConfig_Base" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool CalPrintJournalConfig_Base::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool CalPrintJournalConfig_Base::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool CalPrintJournalConfig_Base::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool CalPrintJournalConfig_Base::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
