#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'calprintyearconfig_base.ui'
**
** Created: 2013-08-05T17:23:04
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "calprintyearconfig_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CalPrintYearConfig_Base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CalPrintYearConfig_Base::CalPrintYearConfig_Base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "CalPrintYear_Base" );
    CalPrintYear_BaseLayout = new QVBoxLayout( this, 0, 6, "CalPrintYear_BaseLayout"); 

    mDateRangeGroup = new QButtonGroup( this, "mDateRangeGroup" );
    mDateRangeGroup->setProperty( "selectedId", -1 );
    mDateRangeGroup->setColumnLayout(0, Qt::Vertical );
    mDateRangeGroup->layout()->setSpacing( 6 );
    mDateRangeGroup->layout()->setMargin( 11 );
    mDateRangeGroupLayout = new QGridLayout( mDateRangeGroup->layout() );
    mDateRangeGroupLayout->setAlignment( Qt::AlignTop );

    mYearLabel = new QLabel( mDateRangeGroup, "mYearLabel" );

    mDateRangeGroupLayout->addWidget( mYearLabel, 0, 0 );

    mPagesLabel = new QLabel( mDateRangeGroup, "mPagesLabel" );

    mDateRangeGroupLayout->addWidget( mPagesLabel, 1, 0 );

    mYear = new QSpinBox( mDateRangeGroup, "mYear" );
    mYear->setMaxValue( 2500 );
    mYear->setMinValue( 0 );
    mYear->setValue( 2007 );

    mDateRangeGroupLayout->addWidget( mYear, 0, 1 );
    spacer4 = new QSpacerItem( 120, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    mDateRangeGroupLayout->addItem( spacer4, 0, 2 );

    mPages = new QComboBox( FALSE, mDateRangeGroup, "mPages" );

    mDateRangeGroupLayout->addWidget( mPages, 1, 1 );
    spacer5 = new QSpacerItem( 131, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    mDateRangeGroupLayout->addItem( spacer5, 1, 2 );
    CalPrintYear_BaseLayout->addWidget( mDateRangeGroup );

    mDisplayOptionsGroup = new QGroupBox( this, "mDisplayOptionsGroup" );
    mDisplayOptionsGroup->setColumnLayout(0, Qt::Vertical );
    mDisplayOptionsGroup->layout()->setSpacing( 6 );
    mDisplayOptionsGroup->layout()->setMargin( 11 );
    mDisplayOptionsGroupLayout = new QGridLayout( mDisplayOptionsGroup->layout() );
    mDisplayOptionsGroupLayout->setAlignment( Qt::AlignTop );

    mSubDaysLabel = new QLabel( mDisplayOptionsGroup, "mSubDaysLabel" );

    mDisplayOptionsGroupLayout->addWidget( mSubDaysLabel, 0, 0 );

    mHolidaysLabel = new QLabel( mDisplayOptionsGroup, "mHolidaysLabel" );

    mDisplayOptionsGroupLayout->addWidget( mHolidaysLabel, 1, 0 );

    mSubDays = new QComboBox( FALSE, mDisplayOptionsGroup, "mSubDays" );

    mDisplayOptionsGroupLayout->addWidget( mSubDays, 0, 1 );

    mHolidays = new QComboBox( FALSE, mDisplayOptionsGroup, "mHolidays" );

    mDisplayOptionsGroupLayout->addWidget( mHolidays, 1, 1 );
    CalPrintYear_BaseLayout->addWidget( mDisplayOptionsGroup );
    spacer3 = new QSpacerItem( 21, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    CalPrintYear_BaseLayout->addItem( spacer3 );
    languageChange();
    resize( QSize(340, 237).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    mYearLabel->setBuddy( mYear );
    mPagesLabel->setBuddy( mPages );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CalPrintYearConfig_Base::~CalPrintYearConfig_Base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CalPrintYearConfig_Base::languageChange()
{
    setCaption( tr2i18n( "CalPrintYear_Base" ) );
    mDateRangeGroup->setTitle( tr2i18n( "Yearly print options" ) );
    mYearLabel->setText( tr2i18n( "Print &Year:" ) );
    mPagesLabel->setText( tr2i18n( "Number of &pages:" ) );
    mDisplayOptionsGroup->setTitle( tr2i18n( "Display Options" ) );
    mSubDaysLabel->setText( tr2i18n( "Show sub-day events as:" ) );
    mHolidaysLabel->setText( tr2i18n( "Show holidays as:" ) );
    mSubDays->clear();
    mSubDays->insertItem( tr2i18n( "Text" ) );
    mSubDays->insertItem( tr2i18n( "Time Boxes" ) );
    mSubDays->setCurrentItem( 1 );
    mHolidays->clear();
    mHolidays->insertItem( tr2i18n( "Text" ) );
    mHolidays->insertItem( tr2i18n( "Time Boxes" ) );
}

/****************************************************************************
** CalPrintYearConfig_Base meta object code from reading C++ file 'calprintyearconfig_base.h'
**
** Created: Mon Aug 5 17:23:04 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "calprintyearconfig_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *CalPrintYearConfig_Base::className() const
{
    return "CalPrintYearConfig_Base";
}

QMetaObject *CalPrintYearConfig_Base::metaObj = 0;
static QMetaObjectCleanUp cleanUp_CalPrintYearConfig_Base( "CalPrintYearConfig_Base", &CalPrintYearConfig_Base::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString CalPrintYearConfig_Base::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CalPrintYearConfig_Base", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString CalPrintYearConfig_Base::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CalPrintYearConfig_Base", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* CalPrintYearConfig_Base::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"CalPrintYearConfig_Base", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_CalPrintYearConfig_Base.setMetaObject( metaObj );
    return metaObj;
}

void* CalPrintYearConfig_Base::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CalPrintYearConfig_Base" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool CalPrintYearConfig_Base::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool CalPrintYearConfig_Base::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool CalPrintYearConfig_Base::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool CalPrintYearConfig_Base::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
