#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'calprintdayconfig_base.ui'
**
** Created: 2013-08-05T17:20:12
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "calprintdayconfig_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qdatetimeedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CalPrintDayConfig_Base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CalPrintDayConfig_Base::CalPrintDayConfig_Base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "CalPrintDay_Base" );
    CalPrintDay_BaseLayout = new QGridLayout( this, 1, 1, 0, 6, "CalPrintDay_BaseLayout"); 

    mIncludeTodos = new QCheckBox( this, "mIncludeTodos" );
    mIncludeTodos->setEnabled( FALSE );

    CalPrintDay_BaseLayout->addWidget( mIncludeTodos, 1, 0 );

    mDateRangeGroup = new QGroupBox( this, "mDateRangeGroup" );
    mDateRangeGroup->setColumnLayout(0, Qt::Vertical );
    mDateRangeGroup->layout()->setSpacing( 6 );
    mDateRangeGroup->layout()->setMargin( 11 );
    mDateRangeGroupLayout = new QGridLayout( mDateRangeGroup->layout() );
    mDateRangeGroupLayout->setAlignment( Qt::AlignTop );
    spacer1 = new QSpacerItem( 121, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    mDateRangeGroupLayout->addItem( spacer1, 0, 4 );
    spacer2 = new QSpacerItem( 121, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    mDateRangeGroupLayout->addItem( spacer2, 1, 4 );

    mFromDateLabel = new QLabel( mDateRangeGroup, "mFromDateLabel" );

    mDateRangeGroupLayout->addWidget( mFromDateLabel, 0, 0 );

    mToTimeLabel = new QLabel( mDateRangeGroup, "mToTimeLabel" );

    mDateRangeGroupLayout->addWidget( mToTimeLabel, 1, 2 );

    mToTime = new QTimeEdit( mDateRangeGroup, "mToTime" );
    mToTime->setTime( QTime( 18, 0, 0 ) );
    mToTime->setDisplay( int( QTimeEdit::Minutes | QTimeEdit::Hours ) );

    mDateRangeGroupLayout->addWidget( mToTime, 1, 3 );

    mIncludeAllEvents = new QCheckBox( mDateRangeGroup, "mIncludeAllEvents" );

    mDateRangeGroupLayout->addMultiCellWidget( mIncludeAllEvents, 2, 2, 0, 4 );

    mFromDate = new KDateEdit( mDateRangeGroup, "mFromDate" );
    mFromDate->setFocusPolicy( KDateEdit::StrongFocus );

    mDateRangeGroupLayout->addWidget( mFromDate, 0, 1 );

    mFromTime = new QTimeEdit( mDateRangeGroup, "mFromTime" );
    mFromTime->setTime( QTime( 8, 0, 0 ) );
    mFromTime->setDisplay( int( QTimeEdit::Minutes | QTimeEdit::Hours ) );

    mDateRangeGroupLayout->addWidget( mFromTime, 0, 3 );

    mFromTimeLabel = new QLabel( mDateRangeGroup, "mFromTimeLabel" );

    mDateRangeGroupLayout->addWidget( mFromTimeLabel, 0, 2 );

    mToDate = new KDateEdit( mDateRangeGroup, "mToDate" );
    mToDate->setFocusPolicy( KDateEdit::StrongFocus );

    mDateRangeGroupLayout->addWidget( mToDate, 1, 1 );

    mToDateLabel = new QLabel( mDateRangeGroup, "mToDateLabel" );

    mDateRangeGroupLayout->addWidget( mToDateLabel, 1, 0 );

    CalPrintDay_BaseLayout->addWidget( mDateRangeGroup, 0, 0 );

    mColors = new QCheckBox( this, "mColors" );

    CalPrintDay_BaseLayout->addWidget( mColors, 2, 0 );
    spacer3 = new QSpacerItem( 21, 201, QSizePolicy::Minimum, QSizePolicy::Expanding );
    CalPrintDay_BaseLayout->addItem( spacer3, 3, 0 );
    languageChange();
    resize( QSize(386, 202).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( mFromDate, mFromTime );
    setTabOrder( mFromTime, mToDate );
    setTabOrder( mToDate, mToTime );
    setTabOrder( mToTime, mIncludeAllEvents );
    setTabOrder( mIncludeAllEvents, mIncludeTodos );
    setTabOrder( mIncludeTodos, mColors );

    // buddies
    mFromDateLabel->setBuddy( mFromDate );
    mToTimeLabel->setBuddy( mToTime );
    mFromTimeLabel->setBuddy( mFromTime );
    mToDateLabel->setBuddy( mToDate );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CalPrintDayConfig_Base::~CalPrintDayConfig_Base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CalPrintDayConfig_Base::languageChange()
{
    mIncludeTodos->setText( tr2i18n( "Include to-&dos that are due on the printed day(s)" ) );
    QWhatsThis::add( mIncludeTodos, tr2i18n( "You should check this option if you want to print to-dos which are due on one of the dates which are in the supplied date range." ) );
    mDateRangeGroup->setTitle( tr2i18n( "Date && Time Range" ) );
    mFromDateLabel->setText( tr2i18n( "&Start date:" ) );
    QWhatsThis::add( mFromDateLabel, tr2i18n( "If you want to print more days at once, you can define a range of dates with this option and the <i>End date</i> option. This option is used to define the start date." ) );
    mToTimeLabel->setText( tr2i18n( "End ti&me:" ) );
    QWhatsThis::add( mToTimeLabel, tr2i18n( "It is possible to print only those events which are inside a given timerange. With this time selection box you can define the end of this time range. The start time should be defined with the <i>Start time</i> option. Note you can automatically modify these settings if you check <i>Extend time range to include all events</i>." ) );
    QWhatsThis::add( mToTime, tr2i18n( "It's possible to print only those events which are inside a given timerange. With this time selection box you can define the end of this time range. The start time should be defined with the <i>Start time</i> option. Note you can automatically modify these settings if you check <i>Extend time range to include all events</i>." ) );
    mIncludeAllEvents->setText( tr2i18n( "E&xtend time range to include all events" ) );
    QWhatsThis::add( mIncludeAllEvents, tr2i18n( "Check this option to automatically determine the required time range, so all events will be shown." ) );
    QWhatsThis::add( mFromDate, tr2i18n( "If you want to print more days at once, you can define a range of dates with this option and the <i>End date</i> option. This option is used to define the start date." ) );
    QWhatsThis::add( mFromTime, tr2i18n( "It's possible to print only those events which are inside a given timerange. With this time selection box you can define the start of this time range. The end time should be defined with the <i>End time</i> option. Note you can automatically modify these settings if you check <i>Extend time range to include all events</i>." ) );
    mFromTimeLabel->setText( tr2i18n( "Start &time:" ) );
    QWhatsThis::add( mFromTimeLabel, tr2i18n( "It is possible to print only those events which are inside a given timerange. With this time selection box you can define the start of this time range. The end time should be defined with the <i>End time</i> option. Note you can automatically modify these settings if you check <i>Extend time range to include all events</i>." ) );
    QWhatsThis::add( mToDate, tr2i18n( "If you want to print more days at once, you can define a range of dates with this option and the <i>Start date</i> option. This option is used to define the end date." ) );
    mToDateLabel->setText( tr2i18n( "&End date:" ) );
    QWhatsThis::add( mToDateLabel, tr2i18n( "If you want to print more days at once, you can define a range of dates with this option and the <i>Start date</i> option. This option is used to define the end date." ) );
    mColors->setText( tr2i18n( "&Use colors" ) );
    QWhatsThis::add( mColors, tr2i18n( "If you want to use colors to distinguish certain categories on the print, check this option." ) );
}

/****************************************************************************
** CalPrintDayConfig_Base meta object code from reading C++ file 'calprintdayconfig_base.h'
**
** Created: Mon Aug 5 17:20:12 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "calprintdayconfig_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *CalPrintDayConfig_Base::className() const
{
    return "CalPrintDayConfig_Base";
}

QMetaObject *CalPrintDayConfig_Base::metaObj = 0;
static QMetaObjectCleanUp cleanUp_CalPrintDayConfig_Base( "CalPrintDayConfig_Base", &CalPrintDayConfig_Base::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString CalPrintDayConfig_Base::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CalPrintDayConfig_Base", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString CalPrintDayConfig_Base::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CalPrintDayConfig_Base", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* CalPrintDayConfig_Base::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"CalPrintDayConfig_Base", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_CalPrintDayConfig_Base.setMetaObject( metaObj );
    return metaObj;
}

void* CalPrintDayConfig_Base::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CalPrintDayConfig_Base" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool CalPrintDayConfig_Base::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool CalPrintDayConfig_Base::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool CalPrintDayConfig_Base::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool CalPrintDayConfig_Base::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
