#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'calprintincidenceconfig_base.ui'
**
** Created: 2013-08-05T17:20:12
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "calprintincidenceconfig_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CalPrintIncidenceConfig_Base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CalPrintIncidenceConfig_Base::CalPrintIncidenceConfig_Base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "CalPrintIncidence_Base" );
    CalPrintIncidence_BaseLayout = new QVBoxLayout( this, 11, 6, "CalPrintIncidence_BaseLayout"); 

    mComponentsGroup = new QButtonGroup( this, "mComponentsGroup" );
    mComponentsGroup->setProperty( "selectedId", -1 );
    mComponentsGroup->setColumnLayout(0, Qt::Vertical );
    mComponentsGroup->layout()->setSpacing( 6 );
    mComponentsGroup->layout()->setMargin( 11 );
    mComponentsGroupLayout = new QVBoxLayout( mComponentsGroup->layout() );
    mComponentsGroupLayout->setAlignment( Qt::AlignTop );

    mShowDetails = new QCheckBox( mComponentsGroup, "mShowDetails" );
    mComponentsGroupLayout->addWidget( mShowDetails );

    mShowSubitemsNotes = new QCheckBox( mComponentsGroup, "mShowSubitemsNotes" );
    mComponentsGroupLayout->addWidget( mShowSubitemsNotes );

    mShowAttendees = new QCheckBox( mComponentsGroup, "mShowAttendees" );
    mComponentsGroupLayout->addWidget( mShowAttendees );

    mShowAttachments = new QCheckBox( mComponentsGroup, "mShowAttachments" );
    mComponentsGroupLayout->addWidget( mShowAttachments );
    CalPrintIncidence_BaseLayout->addWidget( mComponentsGroup );

    mColors = new QCheckBox( this, "mColors" );
    CalPrintIncidence_BaseLayout->addWidget( mColors );
    spacer3 = new QSpacerItem( 21, 201, QSizePolicy::Minimum, QSizePolicy::Expanding );
    CalPrintIncidence_BaseLayout->addItem( spacer3 );
    languageChange();
    resize( QSize(277, 206).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CalPrintIncidenceConfig_Base::~CalPrintIncidenceConfig_Base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CalPrintIncidenceConfig_Base::languageChange()
{
    setCaption( tr2i18n( "CalPrintIncidence_Base" ) );
    mComponentsGroup->setTitle( tr2i18n( "Include Information" ) );
    mShowDetails->setText( tr2i18n( "Detai&ls (visiblility, secrecy, etc.)" ) );
    mShowSubitemsNotes->setText( tr2i18n( "&Notes, Subitems" ) );
    mShowAttendees->setText( tr2i18n( "&Attendees" ) );
    mShowAttachments->setText( tr2i18n( "Attach&ments" ) );
    mColors->setText( tr2i18n( "&Use colors" ) );
    QWhatsThis::add( mColors, tr2i18n( "If you want to use colors to distinguish certain categories on the print, check this option." ) );
}

/****************************************************************************
** CalPrintIncidenceConfig_Base meta object code from reading C++ file 'calprintincidenceconfig_base.h'
**
** Created: Mon Aug 5 17:20:12 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "calprintincidenceconfig_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *CalPrintIncidenceConfig_Base::className() const
{
    return "CalPrintIncidenceConfig_Base";
}

QMetaObject *CalPrintIncidenceConfig_Base::metaObj = 0;
static QMetaObjectCleanUp cleanUp_CalPrintIncidenceConfig_Base( "CalPrintIncidenceConfig_Base", &CalPrintIncidenceConfig_Base::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString CalPrintIncidenceConfig_Base::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CalPrintIncidenceConfig_Base", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString CalPrintIncidenceConfig_Base::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CalPrintIncidenceConfig_Base", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* CalPrintIncidenceConfig_Base::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"CalPrintIncidenceConfig_Base", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_CalPrintIncidenceConfig_Base.setMetaObject( metaObj );
    return metaObj;
}

void* CalPrintIncidenceConfig_Base::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CalPrintIncidenceConfig_Base" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool CalPrintIncidenceConfig_Base::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool CalPrintIncidenceConfig_Base::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool CalPrintIncidenceConfig_Base::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool CalPrintIncidenceConfig_Base::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
