#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'calprintmonthconfig_base.ui'
**
** Created: 2013-08-05T17:20:12
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "calprintmonthconfig_base.h"

#include <qvariant.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <knuminput.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CalPrintMonthConfig_Base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CalPrintMonthConfig_Base::CalPrintMonthConfig_Base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "CalPrintMonth_Base" );
    CalPrintMonth_BaseLayout = new QGridLayout( this, 1, 1, 0, 6, "CalPrintMonth_BaseLayout"); 
    spacer2 = new QSpacerItem( 21, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    CalPrintMonth_BaseLayout->addItem( spacer2, 5, 0 );

    mDateRangeGroup = new QGroupBox( this, "mDateRangeGroup" );
    mDateRangeGroup->setColumnLayout(0, Qt::Vertical );
    mDateRangeGroup->layout()->setSpacing( 6 );
    mDateRangeGroup->layout()->setMargin( 11 );
    mDateRangeGroupLayout = new QHBoxLayout( mDateRangeGroup->layout() );
    mDateRangeGroupLayout->setAlignment( Qt::AlignTop );

    mFromDateLabel = new QLabel( mDateRangeGroup, "mFromDateLabel" );
    mDateRangeGroupLayout->addWidget( mFromDateLabel );

    mFromMonth = new KComboBox( FALSE, mDateRangeGroup, "mFromMonth" );
    mDateRangeGroupLayout->addWidget( mFromMonth );

    mFromYear = new KIntSpinBox( mDateRangeGroup, "mFromYear" );
    mFromYear->setMaxValue( 3000 );
    mFromYear->setValue( 2007 );
    mDateRangeGroupLayout->addWidget( mFromYear );

    mToDateLabel = new QLabel( mDateRangeGroup, "mToDateLabel" );
    mDateRangeGroupLayout->addWidget( mToDateLabel );

    mToMonth = new KComboBox( FALSE, mDateRangeGroup, "mToMonth" );
    mDateRangeGroupLayout->addWidget( mToMonth );

    mToYear = new KIntSpinBox( mDateRangeGroup, "mToYear" );
    mToYear->setMaxValue( 3000 );
    mToYear->setValue( 2007 );
    mDateRangeGroupLayout->addWidget( mToYear );
    spacer1 = new QSpacerItem( 17, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    mDateRangeGroupLayout->addItem( spacer1 );

    CalPrintMonth_BaseLayout->addWidget( mDateRangeGroup, 0, 0 );

    mIncludeTodos = new QCheckBox( this, "mIncludeTodos" );
    mIncludeTodos->setEnabled( FALSE );

    CalPrintMonth_BaseLayout->addWidget( mIncludeTodos, 4, 0 );

    mWeekNumbers = new QCheckBox( this, "mWeekNumbers" );

    CalPrintMonth_BaseLayout->addWidget( mWeekNumbers, 1, 0 );

    mRecurDaily = new QCheckBox( this, "mRecurDaily" );

    CalPrintMonth_BaseLayout->addWidget( mRecurDaily, 2, 0 );

    mRecurWeekly = new QCheckBox( this, "mRecurWeekly" );

    CalPrintMonth_BaseLayout->addWidget( mRecurWeekly, 3, 0 );
    languageChange();
    resize( QSize(463, 161).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( mWeekNumbers, mRecurDaily );
    setTabOrder( mRecurDaily, mRecurWeekly );
    setTabOrder( mRecurWeekly, mIncludeTodos );

    // buddies
    mFromDateLabel->setBuddy( mFromMonth );
    mToDateLabel->setBuddy( mToMonth );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CalPrintMonthConfig_Base::~CalPrintMonthConfig_Base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CalPrintMonthConfig_Base::languageChange()
{
    mDateRangeGroup->setTitle( tr2i18n( "Date && Time Range" ) );
    mFromDateLabel->setText( tr2i18n( "&Start month:" ) );
    QWhatsThis::add( mFromDateLabel, tr2i18n( "When you want to print more months at once, you can define a month range. This option defines the first month to be printed. Use the option <i>End month</i> to define the last month in this range." ) );
    QWhatsThis::add( mFromMonth, tr2i18n( "When you want to print more months at once, you can define a month range. This option defines the first month to be printed. Use the on <i>End month</i> to define the last month in this range." ) );
    QWhatsThis::add( mFromYear, tr2i18n( "When you want to print more months at once, you can define a month range. This option defines the first month to be printed. Use the on <i>End month</i> to define the last month in this range." ) );
    mToDateLabel->setText( tr2i18n( "&End month:" ) );
    QWhatsThis::add( mToDateLabel, tr2i18n( "When you want to print more months at once, you can define a month range. This option defines the last month to be printed. Use the option <i>Start month</i> to define the first month in this range." ) );
    QWhatsThis::add( mToMonth, tr2i18n( "When you want to print more months at once, you can define a month range. This option defines the last month to be printed. Use the option <i>Start month</i> to define the first month in this range." ) );
    QWhatsThis::add( mToYear, tr2i18n( "When you want to print more months at once, you can define a month range. This option defines the last month to be printed. Use the option <i>Start month</i> to define the first month in this range." ) );
    mIncludeTodos->setText( tr2i18n( "Include to-&dos that are due on the printed day(s)" ) );
    QWhatsThis::add( mIncludeTodos, tr2i18n( "Check this option if you want to have to-dos on the print, placed by their due date." ) );
    mWeekNumbers->setText( tr2i18n( "Print week &numbers" ) );
    QWhatsThis::add( mWeekNumbers, tr2i18n( "Enable this to print week numbers at the left of each row." ) );
    mRecurDaily->setText( tr2i18n( "Print daily re&curring to-dos and events" ) );
    QWhatsThis::add( mRecurDaily, tr2i18n( "With this option it is possible to leave out the daily recurring to-dos and events in the print. They take a lot of space and make the month view needlessly complicated." ) );
    mRecurWeekly->setText( tr2i18n( "Print weekl&y recurring to-dos and events" ) );
    QWhatsThis::add( mRecurWeekly, tr2i18n( "Similar to \"Print daily recurring to-dos and events\". Weekly to-dos and events will be omitted when making a print of the selected month." ) );
}

/****************************************************************************
** CalPrintMonthConfig_Base meta object code from reading C++ file 'calprintmonthconfig_base.h'
**
** Created: Mon Aug 5 17:20:12 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "calprintmonthconfig_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *CalPrintMonthConfig_Base::className() const
{
    return "CalPrintMonthConfig_Base";
}

QMetaObject *CalPrintMonthConfig_Base::metaObj = 0;
static QMetaObjectCleanUp cleanUp_CalPrintMonthConfig_Base( "CalPrintMonthConfig_Base", &CalPrintMonthConfig_Base::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString CalPrintMonthConfig_Base::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CalPrintMonthConfig_Base", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString CalPrintMonthConfig_Base::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CalPrintMonthConfig_Base", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* CalPrintMonthConfig_Base::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"CalPrintMonthConfig_Base", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_CalPrintMonthConfig_Base.setMetaObject( metaObj );
    return metaObj;
}

void* CalPrintMonthConfig_Base::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CalPrintMonthConfig_Base" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool CalPrintMonthConfig_Base::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool CalPrintMonthConfig_Base::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool CalPrintMonthConfig_Base::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool CalPrintMonthConfig_Base::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
