#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'calprintweekconfig_base.ui'
**
** Created: 2013-08-05T17:20:13
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "calprintweekconfig_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qdatetimeedit.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CalPrintWeekConfig_Base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CalPrintWeekConfig_Base::CalPrintWeekConfig_Base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "CalPrintWeek_Base" );
    CalPrintWeek_BaseLayout = new QGridLayout( this, 1, 1, 0, 6, "CalPrintWeek_BaseLayout"); 
    spacer3 = new QSpacerItem( 21, 27, QSizePolicy::Minimum, QSizePolicy::Expanding );
    CalPrintWeek_BaseLayout->addItem( spacer3, 4, 0 );

    mDateRangeGroup = new QGroupBox( this, "mDateRangeGroup" );
    mDateRangeGroup->setColumnLayout(0, Qt::Vertical );
    mDateRangeGroup->layout()->setSpacing( 6 );
    mDateRangeGroup->layout()->setMargin( 11 );
    mDateRangeGroupLayout = new QGridLayout( mDateRangeGroup->layout() );
    mDateRangeGroupLayout->setAlignment( Qt::AlignTop );
    spacer1 = new QSpacerItem( 16, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    mDateRangeGroupLayout->addItem( spacer1, 0, 4 );

    mFromDateLabel = new QLabel( mDateRangeGroup, "mFromDateLabel" );

    mDateRangeGroupLayout->addWidget( mFromDateLabel, 0, 0 );

    mFromDate = new KDateEdit( mDateRangeGroup, "mFromDate" );
    mFromDate->setFocusPolicy( KDateEdit::StrongFocus );

    mDateRangeGroupLayout->addWidget( mFromDate, 0, 1 );

    mToTimeLabel = new QLabel( mDateRangeGroup, "mToTimeLabel" );

    mDateRangeGroupLayout->addWidget( mToTimeLabel, 1, 2 );
    spacer4 = new QSpacerItem( 110, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    mDateRangeGroupLayout->addItem( spacer4, 1, 4 );

    mToTime = new QTimeEdit( mDateRangeGroup, "mToTime" );
    mToTime->setTime( QTime( 18, 0, 0 ) );
    mToTime->setDisplay( int( QTimeEdit::Minutes | QTimeEdit::Hours ) );

    mDateRangeGroupLayout->addWidget( mToTime, 1, 3 );

    mFromTimeLabel = new QLabel( mDateRangeGroup, "mFromTimeLabel" );

    mDateRangeGroupLayout->addWidget( mFromTimeLabel, 0, 2 );

    mFromTime = new QTimeEdit( mDateRangeGroup, "mFromTime" );
    mFromTime->setTime( QTime( 8, 0, 0 ) );
    mFromTime->setDisplay( int( QTimeEdit::Minutes | QTimeEdit::Hours ) );

    mDateRangeGroupLayout->addWidget( mFromTime, 0, 3 );

    mToDate = new KDateEdit( mDateRangeGroup, "mToDate" );
    mToDate->setFocusPolicy( KDateEdit::StrongFocus );

    mDateRangeGroupLayout->addWidget( mToDate, 1, 1 );

    mToDateLabel = new QLabel( mDateRangeGroup, "mToDateLabel" );

    mDateRangeGroupLayout->addWidget( mToDateLabel, 1, 0 );

    CalPrintWeek_BaseLayout->addWidget( mDateRangeGroup, 0, 0 );

    mColors = new QCheckBox( this, "mColors" );

    CalPrintWeek_BaseLayout->addWidget( mColors, 3, 0 );

    mPrintType = new QButtonGroup( this, "mPrintType" );
    mPrintType->setColumnLayout(0, Qt::Vertical );
    mPrintType->layout()->setSpacing( 6 );
    mPrintType->layout()->setMargin( 11 );
    mPrintTypeLayout = new QGridLayout( mPrintType->layout() );
    mPrintTypeLayout->setAlignment( Qt::AlignTop );

    mPrintTypeButton1 = new QRadioButton( mPrintType, "mPrintTypeButton1" );
    mPrintTypeButton1->setChecked( TRUE );

    mPrintTypeLayout->addMultiCellWidget( mPrintTypeButton1, 0, 0, 0, 4 );

    mPrintTypeButton2 = new QRadioButton( mPrintType, "mPrintTypeButton2" );

    mPrintTypeLayout->addMultiCellWidget( mPrintTypeButton2, 1, 1, 0, 4 );

    mPrintTypeButton3 = new QRadioButton( mPrintType, "mPrintTypeButton3" );

    mPrintTypeLayout->addMultiCellWidget( mPrintTypeButton3, 2, 2, 0, 2 );

    CalPrintWeek_BaseLayout->addWidget( mPrintType, 1, 0 );

    mIncludeTodos = new QCheckBox( this, "mIncludeTodos" );
    mIncludeTodos->setEnabled( FALSE );

    CalPrintWeek_BaseLayout->addWidget( mIncludeTodos, 2, 0 );
    languageChange();
    resize( QSize(386, 262).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( mFromDate, mFromTime );
    setTabOrder( mFromTime, mToDate );
    setTabOrder( mToDate, mToTime );
    setTabOrder( mToTime, mPrintTypeButton1 );
    setTabOrder( mPrintTypeButton1, mIncludeTodos );
    setTabOrder( mIncludeTodos, mColors );

    // buddies
    mFromDateLabel->setBuddy( mFromDate );
    mToTimeLabel->setBuddy( mToTime );
    mFromTimeLabel->setBuddy( mFromTime );
    mToDateLabel->setBuddy( mToDate );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CalPrintWeekConfig_Base::~CalPrintWeekConfig_Base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CalPrintWeekConfig_Base::languageChange()
{
    setCaption( tr2i18n( "CalPrintWeek_Base" ) );
    mDateRangeGroup->setTitle( tr2i18n( "Date && Time Range" ) );
    mFromDateLabel->setText( tr2i18n( "&Start date:" ) );
    QWhatsThis::add( mFromDateLabel, tr2i18n( "Here you can choose which events should be printed based on their date. This check enables you to enter the start date of the date range. Use the <i>End date</i> to enter the end date of the daterange." ) );
    QWhatsThis::add( mFromDate, tr2i18n( "Here you can choose which events should be printed based on their date. This check enables you to enter the start date of the date range. Use the <i>End date</i> to enter the end date of the daterange." ) );
    mToTimeLabel->setText( tr2i18n( "End ti&me:" ) );
    QWhatsThis::add( mToTimeLabel, tr2i18n( "All events which start later than the given time will not be printed." ) );
    QWhatsThis::add( mToTime, tr2i18n( "All events which start later than the given time will not be printed." ) );
    mFromTimeLabel->setText( tr2i18n( "Start &time:" ) );
    QWhatsThis::add( mFromTimeLabel, tr2i18n( "All events which start earlier than the given time will not be printed." ) );
    QWhatsThis::add( mFromTime, tr2i18n( "All events which start earlier than the given time will not be printed." ) );
    QWhatsThis::add( mToDate, tr2i18n( "Here you can choose which events should be printed based on their date. This check enables you to enter the end date of the date range. Use the <i>Start date</i> to enter the start date of the daterange." ) );
    mToDateLabel->setText( tr2i18n( "&End date:" ) );
    QWhatsThis::add( mToDateLabel, tr2i18n( "Here you can choose which events should be printed based on their date. This check enables you to enter the end date of the date range. Use the <i>Start date</i> to enter the start date of the daterange." ) );
    mColors->setText( tr2i18n( "&Use colors" ) );
    QWhatsThis::add( mColors, tr2i18n( "The timetable view supports colors. If you want to make use of colors you should check this option. The category colors will be used." ) );
    mPrintType->setTitle( tr2i18n( "Print Layout" ) );
    mPrintTypeButton1->setText( tr2i18n( "Print as &Filofax page" ) );
    QWhatsThis::add( mPrintTypeButton1, tr2i18n( "The Filofax view prints one week per page, so all days have a large surface." ) );
    mPrintTypeButton2->setText( tr2i18n( "Print as &timetable view" ) );
    QWhatsThis::add( mPrintTypeButton2, tr2i18n( "This view is similar to the weekview in KOrganizer. The week is printed in landscape layout. You can even use the same colors for the items if you check <i>Use Colors</i>." ) );
    mPrintTypeButton3->setText( tr2i18n( "Print as split week view" ) );
    QWhatsThis::add( mPrintTypeButton3, tr2i18n( "This view is similar to the week view in KOrganizer. The only difference with the timetable view is the page layout. Timetables are printed in landscape, the split week view in portrait." ) );
    mIncludeTodos->setText( tr2i18n( "Include to-&dos that are due on the printed day(s)" ) );
    QWhatsThis::add( mIncludeTodos, tr2i18n( "Check this option if you want to have to-dos on the print, placed by their due date." ) );
}

/****************************************************************************
** CalPrintWeekConfig_Base meta object code from reading C++ file 'calprintweekconfig_base.h'
**
** Created: Mon Aug 5 17:20:13 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "calprintweekconfig_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *CalPrintWeekConfig_Base::className() const
{
    return "CalPrintWeekConfig_Base";
}

QMetaObject *CalPrintWeekConfig_Base::metaObj = 0;
static QMetaObjectCleanUp cleanUp_CalPrintWeekConfig_Base( "CalPrintWeekConfig_Base", &CalPrintWeekConfig_Base::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString CalPrintWeekConfig_Base::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CalPrintWeekConfig_Base", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString CalPrintWeekConfig_Base::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CalPrintWeekConfig_Base", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* CalPrintWeekConfig_Base::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"CalPrintWeekConfig_Base", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_CalPrintWeekConfig_Base.setMetaObject( metaObj );
    return metaObj;
}

void* CalPrintWeekConfig_Base::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CalPrintWeekConfig_Base" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool CalPrintWeekConfig_Base::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool CalPrintWeekConfig_Base::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool CalPrintWeekConfig_Base::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool CalPrintWeekConfig_Base::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
